www.cendio.com

Bug 5812

Summary: upgrade libjpeg-turbo to get SIMD accelerated huffman encoder/decoder
Product: ThinLinc Reporter: Pierre Ossman <ossman@cendio.se>
Component: Build systemAssignee: Henrik Andersson <hean01@cendio.se>
Status: CLOSED FIXED QA Contact: Bugzilla mail exporter <bugzilla-qa@cendio.se>
Severity: Normal    
Priority: P2 CC: astrand@cendio.se, hean01@cendio.se, samuel@cendio.se
Version: pre-1.0Keywords: ossman_tester, relnotes, samuel_tester
Target Milestone: 4.8.0   
Hardware: PC   
OS: Unknown   
Acceptance Criteria:
Bug Depends on:    
Bug Blocks: 5106    

Description From cendio 2016-03-01 12:35:33
The next release of libjpeg-turbo (1.5) will have aa SIMD accelerated huffman
encoder and decoder, giving a claimed 10% improved performance. Code is already
in place both for x86 and ARM.

We should upgrade so we can take advantage of this.
------- Comment #1 From cendio 2016-11-21 13:21:44 -------
Latest version of libjpeg turbo is 1.5.1
------- Comment #3 From cendio 2016-11-24 13:31:47 -------
Verified that chavez is properly updated.

Tested x86_64 client and server. Works well, although I'm not seeing any
noticeable performance increase. It's not worse either though, so...
------- Comment #4 From cendio 2016-11-24 16:22:02 -------
Tested i686 client and server as well. Basically the same thing; it's difficult
to see any difference. Perhaps a few percent less CPU usage.
------- Comment #5 From cendio 2016-11-25 10:51:54 -------
Tested Windows 10. No noticeable change there either.
------- Comment #6 From cendio 2016-11-25 11:18:43 -------
Tested both armel and armhf clients agains older server. There seems to be a
drop in cpu load with about 10% between 4.7.0 client and build 5301 on both arm
platforms but not sure if this is from the libjpeg upgrade.
------- Comment #7 From cendio 2016-11-25 11:25:13 -------
Tested the client on MacOS 10.11. I compared build 5301 and the 4.7.0 release
and I'm not seeing any differences in either CPU use or in perceived
performance.
------- Comment #8 From cendio 2016-11-25 11:25:48 -------
All done then.